package com.netpotlet.xul.component;

import java.util.ArrayList;
import java.util.List;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.*;

public class CaptionComponent extends UIOutput implements CoveComponent {
    private List children = new ArrayList();
    private RNSContext rNSContext_;
    private String label;

    public CaptionComponent(XulStartWindowGroupboxCaption caption) {
        super();
        setId(caption.getId());
        rNSContext_ =
            new RNSContext(
                caption,
                "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
        label = caption.getLabelAsString();
    }

    public List getChildren() {
        return children;
    }

    public void addChild(UIComponent component) {
        children.add(component);
    }

    public String getLabel() {
        return label;
    }

    public RNSContext getRNSContext() {
        return rNSContext_;
    }

    public String getFamily() {
        return "Caption";
    }
}
