package com.netpotlet.xul.component;

import java.util.ArrayList;
import java.util.List;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.XulStartWindowGroupboxGridColumnsColumn;
import com.netpotlet.xul.element.*;

public class ColumnComponent extends UIOutput implements CoveComponent {
    private List children = new ArrayList();
    private String width;
    private RNSContext rNSContext_;

    public ColumnComponent(XulStartWindowGroupboxGridColumnsColumn column) {

        super();
        setId(column.getId());
        width = column.getWidthAsString();
        rNSContext_ =
            new RNSContext(
                column,
                "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
    }

    public List getChildren() {
        return children;
    }

    public void addChild(UIComponent component) {
        children.add(component);
    }

    public String getWidth() {
        return width;
    }

    public RNSContext getRNSContext() {
        return rNSContext_;
    }

    public String getFamily() {
        return "Column";
    }
}
