package com.netpotlet.xul.component;

import java.util.ArrayList;
import java.util.List;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.RNSContext;
import com.netpotlet.xul.element.XulStartWindowGroupbox;

public class GroupboxComponent extends UIOutput implements CoveComponent {
    private List children = new ArrayList();
    private RNSContext rNSContext_;
    private String align;
    private String flex;
    private String id;
    private String style;

    public GroupboxComponent(XulStartWindowGroupbox groupbox) {
        super();
        setId(groupbox.getId());
        rNSContext_ =
            new RNSContext(
                groupbox,
                "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
        align = groupbox.getAlignAsString();
        flex = groupbox.getFlexAsString();
        id = groupbox.getIdAsString();
        style = groupbox.getStyleAsString();
    }

    public List getChildren() {
        return children;
    }

    public void addChild(UIComponent component) {
        children.add(component);
    }

    public RNSContext getRNSContext() {
        return rNSContext_;
    }

    public String getAlign() {
        return align;
    }

    public String getFlex() {
        return flex;
    }

    public String getId() {
        return id;
    }

    public String getStyle() {
        return style;
    }

    public String getFamily() {
        return "Groupbox";
    }
}
