package com.netpotlet.xul.component;

import java.util.ArrayList;
import java.util.List;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.XulStartWindowGroupboxGridRowsRowSpacer;
import com.netpotlet.xul.element.*;

public class SpacerComponent extends UIOutput implements CoveComponent {
    private List children = new ArrayList();
    private RNSContext rNSContext_;

    public SpacerComponent(XulStartWindowGroupboxGridRowsRowSpacer spacer) {
        super();
        setId(spacer.getId());
        rNSContext_ =
            new RNSContext(
                spacer,
                "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
    }

    public List getChildren() {
        return children;
    }

    public void addChild(UIComponent component) {
        children.add(component);
    }

    public RNSContext getRNSContext() {
        return rNSContext_;
    }

    public String getFamily() {
        return "Spacer";
    }
}
