package com.netpotlet.xul.component;

import java.util.ArrayList;
import java.util.List;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import com.netpotlet.xul.element.RNSContext;
import com.netpotlet.xul.element.XulStartWindowGroupboxGrid;

public class GridComponent extends UIOutput implements CoveComponent {
    private List children = new ArrayList();
    private String style;
    private RNSContext rNSContext_;

    public GridComponent(XulStartWindowGroupboxGrid grid) {
        super();
        setId(grid.getId());
        style = grid.getStyleAsString();
        rNSContext_ =
            new RNSContext(
                grid,
                "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
    }

    public List getChildren() {
        return children;
    }

    public void addChild(UIComponent component) {
        children.add(component);
    }

    public String getStyle() {
        return style;
    }

    public RNSContext getRNSContext() {
        return rNSContext_;
    }

    public String getFamily() {
        return "Grid";
    }
}
